using System.Runtime.InteropServices;

namespace Decal.Interop.Core;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class IDecalEvents_SinkHelper : IDecalEvents
{
	public IDecalEvents_InitializeCompleteEventHandler m_InitializeCompleteDelegate;

	public IDecalEvents_TerminateCompleteEventHandler m_TerminateCompleteDelegate;

	public int m_dwCookie;

	public void InitializeComplete(eDecalComponentType P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_InitializeCompleteDelegate != null)
		{
			m_InitializeCompleteDelegate(P_0);
		}
	}

	public void TerminateComplete(eDecalComponentType P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_TerminateCompleteDelegate != null)
		{
			m_TerminateCompleteDelegate(P_0);
		}
	}

	internal IDecalEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_InitializeCompleteDelegate = null;
		m_TerminateCompleteDelegate = null;
	}
}
